Package: zabbix / 1:4.0.4+dfsg-1

gettext.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
Last-Update: 2016-02-17
Forwarded: not-needed
Author: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: minor corections to gettext scripts.
 * verbose .mo build
 * invoke `xgettext` with "--omit-header" to preserve POT-Creation-Date headers.

--- a/frontends/php/locale/make_mo.sh
+++ b/frontends/php/locale/make_mo.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
 
 while read pofile; do
-        msgfmt --use-fuzzy -c -o ${pofile%po}mo $pofile || exit $?
+        msgfmt --verbose --use-fuzzy -c -o ${pofile%po}mo $pofile || exit $?
 done < <(find $(dirname $0) -type f ! -wholename '*/.svn*' -name '*.po')
--- a/frontends/php/locale/update_po.sh
+++ b/frontends/php/locale/update_po.sh
@@ -12,8 +12,9 @@
 # keyword "_s" is Zabbix frontend placeholder function
 # keyword "_x" is Zabbix frontend context function
 # keyword "_xs" is Zabbix frontend context function
 xgettext --files-from=locale/POTFILES.in --from-code=UTF-8 \
+--omit-header \
 --output=locale/frontend.pot \
 --copyright-holder="Zabbix SIA" --no-wrap --sort-output \
 --add-comments="GETTEXT:" --keyword=_n:1,2 --keyword=_s \
 --keyword=_x:1,2c --keyword=_xs:1,2c --keyword=_xn:1,2,4c || exit 1